Skip to content
GET /unified/ci-cd/pull-requests/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

workspace_id
1 supported1 required
Bitbucket
required
repo
2 supported2 required
Bitbucket
required
Buddy
required
workspace
1 supported1 required
Buddy
required
ownerstring

The slug of the owner on Github.

1 supported1 required
GitHub
required
repo_idstring

The slug of the repository on Github.

1 supported1 required
GitHub
required
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for the pull request

2 supported
Bitbucket
supported
GitHub
supported
authorobject

The author of the pull request

2 supported
Bitbucket
supported
GitHub
supported
idstring

The unique identifier for the author

typestring

The type of the author

Possible values:
userbot
usernamestring

The username of the author

base_branchobject

The base branch of the pull request

2 supported
Bitbucket
supported
GitHub
supported
idstring

The unique identifier for the base branch

last_commitstring

The last commit of the base branch

namestring

The name of the base branch

closed_atstring · date-time

The date and time when the pull request was closed

1 supported
GitHub
supported
created_atstring · date-time

The date and time when the pull request was created

2 supported
Bitbucket
supported
GitHub
supported
descriptionobject

The description of the pull request

2 supported
Bitbucket
supported
GitHub
supported
contentstring

The content of the body

formatstring

The format of the body

Possible values:
markdownhtmlplaintext
head_branchobject

The head branch of the pull request

2 supported
Bitbucket
supported
GitHub
supported
idstring

The unique identifier for the head branch

last_commitstring

The last commit of the head branch

namestring

The name of the head branch

merged_atstring · date-time

The date and time when the pull request was merged

1 supported
GitHub
supported
numberinteger

The number of the pull request

1 supported
GitHub
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The status of the pull request

Possible values:
openclosedmergedlocked
2 supported
Bitbucket
supported
GitHub
supported
titlestring

The title of the pull request

2 supported
Bitbucket
supported
GitHub
supported
updated_atstring · date-time

The date and time when the pull request was last updated

2 supported
Bitbucket
supported
GitHub
supported
curl -X GET 'https://api.truto.one/unified/ci-cd/pull-requests/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ci-cd/pull-requests/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ci-cd/pull-requests/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'ci-cd',
  'pullrequests',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "ci-cd",
        "pullrequests",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())